Bug 21816 - bug with https URL
Summary: bug with https URL
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pythonlib (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-06 18:35 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 21:36:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-06 18:35:56 UTC
There is a bug with https:// url.
The puthon access http:// instad of https:// what is incorrect.
The openssl-python is installed.
Test case:
----------- python program
import urllib
urllib.urlretrieve('https://127.0.0.1/file.html','/tmp/saved.html')
------------

run the program above and look in /var/log/httpd
The performed reques was http (port 80), not https (port 443).
Also if openssl is not installed the request should fail,
not silently use different protocol.

Comment 1 Matt Wilson 2003-10-09 21:36:10 UTC
this works in newer releases.



Note You need to log in before you can comment on or make changes to this bug.